VirtualBox

Ticket #425 (closed defect: worksforme)

Opened 7 years ago

Last modified 4 years ago

VERR_VM_DRIVER_VERSION_MISMATCH

Reported by: anyware Owned by:
Priority: major Component: other
Version: VirtualBox 1.4.0 Keywords:
Cc: Guest type: other
Host type: other

Description

I'm using debian lenny: Linux mms-014 2.6.18-4-amd64 #1 SMP Mon Mar 26 19:17:44 UTC 2007 x86_64 GNU/Linux I'm using VBox 1.4.0 installed using deb  http://www.virtualbox.org/debian etch non-free

Installed correctly, failed to load module, asking to add nmi_watchdog=0 to kernel command line.

I added the parameter, restarted. I then purged VBox, installed again (it deleted and compiled the module).

I created a VM (windows XP), but when I try to start it, it says:

Unknown error initializing kernel driver (VERR_VM_DRIVER_VERSION_MISMATCH). VBox status code: -1912 (VERR_VM_DRIVER_VERSION_MISMATCH).

Código de Resultado: 0x80004005 Componente: Console Interface: IConsole {1dea5c4b-0753-4193-b909-22330f64ec45}

I read some thread saying that it's cause by an old kernel module version (My installation is brand new). I still did execute "modprobe -r vboxdrv && modprobe vboxdrv", as they said. No better luck after that.

Change History

comment:1 Changed 7 years ago by frank

That is really strange. Which vboxdrv module is used? The module in /lib/modules/uname -r/misc/vboxdrv.ko? Could you try to rmmod and insmod this module manually?

comment:2 Changed 7 years ago by sandervl73

  • Status changed from new to closed
  • Resolution set to fixed

No reply for a month. Reopen if it is still a problem.

comment:3 Changed 7 years ago by dronT78

  • Status changed from closed to reopened
  • Resolution fixed deleted

I have such problem on Debian Lenny x86 32-bit with optimized kernel 2.6.21-2-amd64. /etc/init.d/vboxdrv setup normally builds a vboxdrv.ko file rmmod/insmod woks greate. alse with 32-bit i686/K7 kernel all works fine.

comment:4 Changed 7 years ago by Prototyped

I have this issue on Debian sid i386 (with an x86_64 kernel).

[0:46|~]
amitg@athena. uname -a
Linux athena 2.6.22-1-amd64 #1 SMP Sun Jul 29 16:28:31 UTC 2007 x86_64 GNU/Linux
[0:48|~]
amitg@athena. modinfo vboxdrv
filename:       /lib/modules/2.6.22-1-amd64/misc/vboxdrv.ko
version:        1.4.1_OSE (0x00050000)
license:        GPL
description:    VirtualBox Support Driver
author:         innotek GmbH
srcversion:     7F1FC81A0363D6C8FD8F5AB
depends:
vermagic:       2.6.22-1-amd64 SMP mod_unload

A screenshot of the  GUI's about box is available.

A screenshot of the  error is also available.

As the previous commenter tried, I too tried to rmmod and modprobe vboxdrv, but it didn't help.

Could it be that the issue is that I am running a 64-bit kernel and 32-bit userspace binary?

[0:57|~]
amitg@athena. file /usr/lib/virtualbox/VirtualBox
/usr/lib/virtualbox/VirtualBox: ELF 32-bit LSB executable, Intel 80386, version 
1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
[0:58|~]
amitg@athena. LD_LIBRARY_PATH=/usr/lib/virtualbox ldd /usr/lib/virtualbox/Virtua
lBox
        linux-gate.so.1 =>  (0xffffe000)
        VBoxKeyboard.so => /usr/lib/virtualbox/VBoxKeyboard.so (0xf7fd0000)
        libqt-mt.so.3 => /usr/lib/libqt-mt.so.3 (0xf77a7000)
        VBoxRT.so => /usr/lib/virtualbox/VBoxRT.so (0xf7746000)
        VBoxREM.so => /usr/lib/virtualbox/VBoxREM.so (0xf5e97000)
        VBoxVMM.so => /usr/lib/virtualbox/VBoxVMM.so (0xf5db3000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xf5da5000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xf5cb9000)
        libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xf5ca2000)
        VBoxXPCOM.so => /usr/lib/virtualbox/VBoxXPCOM.so (0xf5baa000)
        libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0xf5af9000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xf5a0e000)
        libm.so.6 => /lib/i686/cmov/libm.so.6 (0xf59e9000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xf59de000)
        libc.so.6 => /lib/i686/cmov/libc.so.6 (0xf5896000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xf588c000)
        librt.so.1 => /lib/i686/cmov/librt.so.1 (0xf5883000)
        libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xf587f000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xf5854000)
        libaudio.so.2 => /usr/lib/libaudio.so.2 (0xf583e000)
        libXt.so.6 => /usr/lib/libXt.so.6 (0xf57ee000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xf57cd000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xf57aa000)
        libz.so.1 => /usr/lib/libz.so.1 (0xf5795000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xf578d000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xf5785000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xf577f000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xf577b000)
        libXft.so.2 => /usr/lib/libXft.so.2 (0xf5769000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xf56fa000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xf56f2000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xf56db000)
        libutil.so.1 => /lib/i686/cmov/libutil.so.1 (0xf56d6000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xf56d3000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xf56ce000)
        /lib/ld-linux.so.2 (0xf7fda000)
        libasound.so.2 => /usr/lib/libasound.so.2 (0xf5608000)
        libdirectfb-0.9.so.25 => /usr/lib/libdirectfb-0.9.so.25 (0xf55b2000)
        libfusion-0.9.so.25 => /usr/lib/libfusion-0.9.so.25 (0xf55ab000)
        libdirect-0.9.so.25 => /usr/lib/libdirect-0.9.so.25 (0xf559c000)
        libvga.so.1 => /usr/lib/libvga.so.1 (0xf553c000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xf5537000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xf5517000)

comment:5 Changed 7 years ago by Prototyped

I also get it with VirtualBox 1.5.0 packaged in Debian sid.

filename:       /lib/modules/2.6.22-1-amd64/misc/vboxdrv.ko
version:        1.5.0_OSE (0x00050001)
license:        GPL
description:    VirtualBox Support Driver
author:         innotek GmbH
srcversion:     7FE9F91D362016317AD0A65
depends:
vermagic:       2.6.22-1-amd64 SMP mod_unload

comment:6 Changed 7 years ago by Prototyped

Apparently VirtualBox really likes the userspace and kernel driver to be the same architecture. Within a sid amd64 chroot, I no longer get this issue.

However, VirtualBox aborts with a segmentation fault --

VirtualBox[18185]: segfault at 0000003000000030 rip 00002b20c66ca836 rsp 0000000
0411225b0 error 4
VirtualBox[18245]: segfault at 0000003000000030 rip 00002b4bfff95836 rsp 0000000
0411225b0 error 4
VirtualBox[18336]: segfault at 0000003000000030 rip 00002aee285e8836 rsp 0000000
0411225b0 error 4
VirtualBox[18384]: segfault at 0000003000000030 rip 00002b1c5235b836 rsp 0000000
0411225b0 error 4
VirtualBox[18461]: segfault at 0000003000000030 rip 00002b4155023836 rsp 0000000
0411225b0 error 4

were five tries to start the virtual machine.

comment:7 Changed 7 years ago by serialx

I am having same problems listed here. Currently using the modified Ubuntu Dapper release with mixed 64-32 kernel.

[sungjinhong@doldol ~]$ uname -a
Linux **** 2.6.18.5-gg10-mixed64-32 #1 SMP Tue May 8 22:29:42 PDT 2007 x86_64 GNU/Linux
[sungjinhong@doldol ~]$ modinfo vboxdrv
filename:       /lib/modules/2.6.18.5-gg10-mixed64-32/misc/vboxdrv.ko
author:         innotek GmbH
description:    VirtualBox Support Driver
license:        GPL
version:        1.5.0 (0x00050001)
vermagic:       2.6.18.5-gg10-mixed64-32 SMP mod_unload gcc-4.1
depends:
srcversion:     7FE9F91D362016317AD0A65

comment:8 Changed 7 years ago by Prototyped

I tried using the amd64 version of VirtualBox packaged at the apt repository at  http://www.virtualbox.org/debian instead of the one built and distributed by Debian. Still no luck.

[4:27|~]
amitg@athena. modinfo vboxdrv
filename:       /lib/modules/2.6.22-1-amd64/misc/vboxdrv.ko
version:        1.5.0 (0x00050001)
license:        GPL
description:    VirtualBox Support Driver
author:         innotek GmbH
srcversion:     7FE9F91D362016317AD0A65
depends:
vermagic:       2.6.22-1-amd64 SMP mod_unload
[4:30|~]
amitg@athena. LD_LIBRARY_PATH=/usr/lib/virtualbox ldd /usr/lib/virtualbox/Virtua
lBox
        VBoxKeyboard.so => /usr/lib/VBoxKeyboard.so (0x00002b09b0d61000)
        libqt-mt.so.3 => /usr/lib/libqt-mt.so.3 (0x00002b09b0f59000)
        VBoxRT.so => /usr/lib/VBoxRT.so (0x00002b09b1b79000)
        VBoxREM.so => /usr/lib/VBoxREM.so (0x00002b09b1ce4000)
        VBoxVMM.so => /usr/lib/VBoxVMM.so (0x00002b09b1def000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00002b09b1fdc000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x00002b09b20ed000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00002b09b22f7000)
        VBoxXPCOM.so => /usr/lib/VBoxXPCOM.so (0x00002b09b2512000)
        libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0x00002b09b2732000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00002b09b29e9000)
        libm.so.6 => /lib/libm.so.6 (0x00002b09b2cf1000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00002b09b2f72000)
        libc.so.6 => /lib/libc.so.6 (0x00002b09b3181000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00002b09b34d8000)
        librt.so.1 => /lib/librt.so.1 (0x00002b09b36e2000)
        libdl.so.2 => /lib/libdl.so.2 (0x00002b09b38ec000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00002b09b3af0000)
        libaudio.so.2 => /usr/lib/libaudio.so.2 (0x00002b09b3c24000)
        libXt.so.6 => /usr/lib/libXt.so.6 (0x00002b09b3e3d000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x00002b09b409e000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00002b09b41c0000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00002b09b43e5000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0x00002b09b45fc000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00002b09b4805000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00002b09b4a0f000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00002b09b4b16000)
        libXft.so.2 => /usr/lib/libXft.so.2 (0x00002b09b4c18000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00002b09b4d2c000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0x00002b09b4fa9000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0x00002b09b51b1000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00002b09b53cd000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00002b09b54cf000)
        /lib64/ld-linux-x86-64.so.2 (0x00002b09b0d3b000)
        libasound.so.2 => /usr/lib/libasound.so.2 (0x00002b09b55d5000)
        libdirectfb-0.9.so.25 => /usr/lib/libdirectfb-0.9.so.25 (0x00002b09b58b4
000)
        libfusion-0.9.so.25 => /usr/lib/libfusion-0.9.so.25 (0x00002b09b5b14000)
        libdirect-0.9.so.25 => /usr/lib/libdirect-0.9.so.25 (0x00002b09b5d1b000)
        libvga.so.1 => /usr/lib/libvga.so.1 (0x00002b09b5f2b000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00002b09b6092000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00002b09b6198000)
[4:31|~]
amitg@athena. file /usr/lib/virtualbox/VirtualBox
/usr/lib/virtualbox/VirtualBox: ELF 64-bit LSB executable, x86-64, version 1 (SY
SV), for GNU/Linux 2.6.0, dynamically linked (uses shared libs), stripped
[4:32|~]
amitg@athena. dmesg | tail -3
vboxdrv: Trying to deactivate the NMI watchdog permanently...
vboxdrv: Successfully done.
VirtualBox[22323]: segfault at 0000003000000030 rip 00002b6cd3e592ff rsp 0000000
041122650 error 4

comment:9 follow-ups: ↓ 10 ↓ 11 Changed 7 years ago by frank

At first yes, when running an AMD64 kernel you must use the 64-bit binary of VirtualBox. The segfaults are strange. Are there any other messages, e.g. security-related? Do you have SELinux enabled or a similar kernel extension?

comment:10 in reply to: ↑ 9 Changed 7 years ago by dronT78

Replying to frank:

At first yes, when running an AMD64 kernel you must use the 64-bit binary of VirtualBox. It's very bad for me :( Is it possible to add 32/64-mix support in Virtual Box in next versions?

comment:11 in reply to: ↑ 9 Changed 7 years ago by Prototyped

Replying to frank:

At first yes, when running an AMD64 kernel you must use the 64-bit binary of VirtualBox. The segfaults are strange. Are there any other messages, e.g. security-related? Do you have SELinux enabled or a similar kernel extension?

No, SELinux is disabled. I get no messages in dmesg or syslog aside from the segmentation faults.

Debian just pushed out another kernel (2.6.22.5 based). I get the same issue.

[2:29|~]
amitg@athena. dmesg | tail -4
vboxdrv: Trying to deactivate the NMI watchdog permanently...
vboxdrv: Successfully done.
sr0: CDROM not ready.  Make sure there is a disc in the drive.
VirtualBox[10788]: segfault at 0000003000000030 rip 00002b93c9ed62ff rsp 0000000041122650 error 4
[2:29|~]
amitg@athena. uname -a
Linux athena 2.6.22-2-amd64 #1 SMP Fri Aug 31 02:15:40 UTC 2007 x86_64 GNU/Linux

comment:12 Changed 7 years ago by Prototyped

This is the modinfo output for the vboxdrv module:

[2:32|~]
amitg@athena. sudo modinfo vboxdrv
filename:       /lib/modules/2.6.22-2-amd64/misc/vboxdrv.ko
version:        1.5.0 (0x00050001)
license:        GPL
description:    VirtualBox Support Driver
author:         innotek GmbH
srcversion:     7FE9F91D362016317AD0A65
depends:
vermagic:       2.6.22-2-amd64 SMP mod_unload

comment:13 Changed 7 years ago by Prototyped

Here is a backtrace in gdb from your build. I'll try building the open source version with debugging symbols built in and get you a backtrace with that too.

Core was generated by `/usr/lib/virtualbox/VirtualBox -comment Windows XP -start
vm daf3206b-a6f4-4b32-'.
Program terminated with signal 11, Segmentation fault.
#0  0x00002ab2e5ff42ff in ?? () from /usr/lib/VBoxRT.so
(gdb) where
#0  0x00002ab2e5ff42ff in ?? () from /usr/lib/VBoxRT.so
#1  0x00002ab2e5fecbe7 in RTStrFormatV () from /usr/lib/VBoxRT.so
#2  0x00002ab2e5feccad in RTStrFormatV () from /usr/lib/VBoxRT.so
#3  0x00002aaaabc8120c in ?? () from /usr/lib/virtualbox//components/VBoxC.so
#4  0x00002aaaabc5c84e in ?? () from /usr/lib/virtualbox//components/VBoxC.so
#5  0x00002aaaabc43e9c in ?? () from /usr/lib/virtualbox//components/VBoxC.so
#6  0x00002ab2e62854cf in ?? () from /usr/lib/VBoxVMM.so
#7  0x00002ab2e62872a7 in VMR3Create () from /usr/lib/VBoxVMM.so
#8  0x00002aaaabc55b73 in ?? () from /usr/lib/virtualbox//components/VBoxC.so
#9  0x00002ab2e5ff0914 in ?? () from /usr/lib/VBoxRT.so
#10 0x00002ab2e5ff9972 in ?? () from /usr/lib/VBoxRT.so
#11 0x00002ab2e6742317 in start_thread () from /lib/libpthread.so.0
#12 0x00002ab2e7699bad in clone () from /lib/libc.so.6
#13 0x0000000000000000 in ?? ()
(gdb)

comment:14 Changed 7 years ago by Prototyped

OK, here's the backtrace from a debug build of virtualbox OSE 1.5.0 (as packaged in Debian sid):

amitg@athena. gdb /usr/lib/virtualbox/VirtualBox core.11482
GNU gdb 6.6-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
Reading symbols from /usr/lib/virtualbox/VBoxKeyboard.so...done.
Loaded symbols for /usr/lib/virtualbox/VBoxKeyboard.so
Reading symbols from /usr/lib/libqt-mt.so.3...done.
Loaded symbols for /usr/lib/libqt-mt.so.3
Reading symbols from /usr/lib/virtualbox/VBoxRT.so...done.
Loaded symbols for /usr/lib/virtualbox/VBoxRT.so
Reading symbols from /usr/lib/virtualbox/VBoxREM.so...done.
Loaded symbols for /usr/lib/virtualbox/VBoxREM.so
Reading symbols from /usr/lib/virtualbox/VBoxVMM.so...done.
Loaded symbols for /usr/lib/virtualbox/VBoxVMM.so
Reading symbols from /usr/lib/libXext.so.6...done.
Loaded symbols for /usr/lib/libXext.so.6
Reading symbols from /usr/lib/libX11.so.6...done.
Loaded symbols for /usr/lib/libX11.so.6
Reading symbols from /lib/libpthread.so.0...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /usr/lib/virtualbox/VBoxXPCOM.so...done.
Loaded symbols for /usr/lib/virtualbox/VBoxXPCOM.so
Reading symbols from /usr/lib/libSDL-1.2.so.0...done.
Loaded symbols for /usr/lib/libSDL-1.2.so.0
Reading symbols from /usr/lib/libstdc++.so.6...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /usr/lib/libXcursor.so.1...done.
Loaded symbols for /usr/lib/libXcursor.so.1
Reading symbols from /lib/librt.so.1...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libfontconfig.so.1...done.
Loaded symbols for /usr/lib/libfontconfig.so.1
Reading symbols from /usr/lib/libaudio.so.2...done.
Loaded symbols for /usr/lib/libaudio.so.2
Reading symbols from /usr/lib/libXt.so.6...done.
Loaded symbols for /usr/lib/libXt.so.6
Reading symbols from /usr/lib/libjpeg.so.62...done.
Loaded symbols for /usr/lib/libjpeg.so.62
Reading symbols from /usr/lib/libpng12.so.0...done.
Loaded symbols for /usr/lib/libpng12.so.0
Reading symbols from /usr/lib/libz.so.1...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /usr/lib/libXi.so.6...done.
Loaded symbols for /usr/lib/libXi.so.6
Reading symbols from /usr/lib/libXrender.so.1...done.
Loaded symbols for /usr/lib/libXrender.so.1
Reading symbols from /usr/lib/libXrandr.so.2...done.
Loaded symbols for /usr/lib/libXrandr.so.2
Reading symbols from /usr/lib/libXinerama.so.1...done.
Loaded symbols for /usr/lib/libXinerama.so.1
Reading symbols from /usr/lib/libXft.so.2...done.
Loaded symbols for /usr/lib/libXft.so.2
Reading symbols from /usr/lib/libfreetype.so.6...done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /usr/lib/libSM.so.6...done.
Loaded symbols for /usr/lib/libSM.so.6
Reading symbols from /usr/lib/libICE.so.6...done.
Loaded symbols for /usr/lib/libICE.so.6
Reading symbols from /usr/lib/libXau.so.6...done.
Loaded symbols for /usr/lib/libXau.so.6
Reading symbols from /usr/lib/libXdmcp.so.6...done.
Loaded symbols for /usr/lib/libXdmcp.so.6
Reading symbols from /lib/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib/libasound.so.2...done.
Loaded symbols for /usr/lib/libasound.so.2
Reading symbols from /usr/lib/libdirectfb-0.9.so.25...done.
Loaded symbols for /usr/lib/libdirectfb-0.9.so.25
Reading symbols from /usr/lib/libfusion-0.9.so.25...done.
Loaded symbols for /usr/lib/libfusion-0.9.so.25
Reading symbols from /usr/lib/libdirect-0.9.so.25...done.
Loaded symbols for /usr/lib/libdirect-0.9.so.25
Reading symbols from /usr/lib/libvga.so.1...done.
Loaded symbols for /usr/lib/libvga.so.1
Reading symbols from /usr/lib/libXfixes.so.3...done.
Loaded symbols for /usr/lib/libXfixes.so.3
Reading symbols from /usr/lib/libexpat.so.1...done.
Loaded symbols for /usr/lib/libexpat.so.1
Reading symbols from /lib/libnss_compat.so.2...done.
Loaded symbols for /lib/libnss_compat.so.2
Reading symbols from /lib/libnsl.so.1...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /lib/libnss_nis.so.2...done.
Loaded symbols for /lib/libnss_nis.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/virtualbox/components/VBoxXPCOMIPCC.so...done.
Loaded symbols for /usr/lib/virtualbox//components/VBoxXPCOMIPCC.so
Reading symbols from /usr/lib/virtualbox/components/VBoxSVCM.so...done.
Loaded symbols for /usr/lib/virtualbox//components/VBoxSVCM.so
Reading symbols from /usr/lib/qt3/plugins/imageformats/libqmng.so...done.
Loaded symbols for /usr/lib/qt3/plugins/imageformats/libqmng.so
Reading symbols from /usr/lib/libmng.so.1...done.
Loaded symbols for /usr/lib/libmng.so.1
Reading symbols from /usr/lib/liblcms.so.1...done.
Loaded symbols for /usr/lib/liblcms.so.1
Reading symbols from /usr/lib/virtualbox/components/VBoxC.so...done.
Loaded symbols for /usr/lib/virtualbox//components/VBoxC.so
Core was generated by `/usr/lib/virtualbox/VirtualBox -comment Windows XP -start
vm daf3206b-a6f4-4b32-'.
Program terminated with signal 5, Trace/breakpoint trap.
#0  0x00002b0b599c9f05 in CFGMR3Init (pVM=0x2aaaac254000,
    pfnCFGMConstructor=0x2aaaabeaa2d0 <Console::configConstructor(VM*, void*)>, 
pvUser=0xa48ec0)
    at /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/VMM/CFGM.cpp:140
140             AssertMsgFailed(("Constructor failed with rc=%Vrc pfnCFGMConstru
ctor=%p\n", rc, pfnCFGMConstructor));
(gdb) where
#0  0x00002b0b599c9f05 in CFGMR3Init (pVM=0x2aaaac254000,
    pfnCFGMConstructor=0x2aaaabeaa2d0 <Console::configConstructor(VM*, void*)>, 
pvUser=0xa48ec0)
    at /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/VMM/CFGM.cpp:140
#1  0x00002b0b599520de in vmR3Create (pVM=0x2aaaac254000,
    pfnVMAtError=0x2aaaabe7b934 <Console::setVMErrorCallback(VM*, void*, int, ch
ar const*, unsigned int, char const*, char const*, __va_list_tag*)>,
    pvUserVM=0x99d750,
    pfnCFGMConstructor=0x2aaaabeaa2d0 <Console::configConstructor(VM*, void*)>, 
pvUserCFGM=0xa48ec0)
    at /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/VMM/VM.cpp:393
#2  0x00002b0b59948fe9 in vmR3ReqProcessOne (pVM=0x2aaaac254000, pReq=0xa76370)
    at /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/VMM/VMReq.cpp:770
#3  0x00002b0b59949745 in VMR3ReqProcess (pVM=0x2aaaac254000)
    at /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/VMM/VMReq.cpp:698
#4  0x00002b0b5994c0ea in vmR3EmulationThread (ThreadSelf=0x992120,
    pvArgs=0x41123bc0)
    at /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/VMM/VMEmt.cpp:93
#5  0x00002b0b59454dbd in rtThreadMain (pThread=0x992120,
    NativeThread=1092778320, pszThreadName=0x9921a8 "EMT")
    at /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/Runtime/thread.cpp:591
#6  0x00002b0b59466232 in rtThreadNativeMain (pvArgs=0x992120)
    at /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/Runtime/r3/posix/thread-p
---Type <return> to continue, or q <return> to quit---
osix.cpp:135
#7  0x00002b0b59fe7317 in start_thread () from /lib/libpthread.so.0
#8  0x00002b0b5b0dabad in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()
(gdb) print rc
$1 = -3100
(gdb) print pfnCFGMConstructor
$2 = (
    PFNCFGMCONSTRUCTOR) 0x2aaaabeaa2d0 <Console::configConstructor(VM*, void*)>
(gdb)

comment:15 Changed 7 years ago by Prototyped

AHH

amitg@athena. cat ~/.VirtualBox/Machines/Windows\ XP/Logs/VBox.log
00:00:00.317 VirtualBox 1.5.0_OSE r4471 (Sep 16 2007 06:33:48) release log
00:00:00.317 Log opened 2007-09-16T01:10:45.149674000Z
00:00:00.337 Configuration error: Failed to open /dev/net/tun rc=VERR_ACCESS_DEN
IED
00:00:00.337 ERROR [COM]: aRC=0x80004005 aIID={1dea5c4b-0753-4193-b909-22330f64e
c45} aComponent={Console} aText={Failed to open '/dev/net/tun' for read/write ac
cess. Please check the permissions of that node. Either do 'chmod 0666 /dev/net/
tun' or change the group of that node and get member of that group. Make sure th
at these changes are permanently in particular if you are using udev.
00:00:00.337 VBox status code: -3100 (VERR_HOSTIF_INIT_FAILED)} aPreserve=false
00:00:00.338
00:00:00.338 !!Assertion Failed!!
00:00:00.338 Expression: <NULL>
00:00:00.338 Location  : /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/VMM/CFG
M.cpp(140) int CFGMR3Init(VM*, int (*)(VM*, void*), void*)
00:00:00.338 Constructor failed with rc=VERR_HOSTIF_INIT_FAILED pfnCFGMConstruct
or=00002aaaabeaa2d0

Figures. Let me try chmodding /dev/net/tun and trying again.

comment:16 Changed 7 years ago by Prototyped

Well, turns out /dev/net/tun already had mode 0666, and even running it with root privileges didn't help.

[6:39|~]
amitg@athena. ls -ld /dev/net/tun
crw-rw-rw- 1 root root 10, 200 2007-09-18 06:31 /dev/net/tun
[6:39|~]
amitg@athena. LD_LIBRARY_PATH=/usr/lib/virtualbox /usr/lib/virtualbox/VBoxSDL -v
m "Windows XP"
VirtualBox SDL GUI 1.5.0_OSE built Sep 16 2007 06:34:57
Type Manifest File: /home/amitg/.VirtualBox/xpti.dat
nsNativeComponentLoader: autoregistering begins.
nsNativeComponentLoader: autoregistering succeeded
nNCL: registering deferred (0)

!!Assertion Failed!!
Expression: (null)
Location  : /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/Main/ConsoleImpl2.cp
p(973) static int Console::configConstructor(VM*, void*)
Could not attach to host interface! Bad!
[1]    27055 trace trap (core dumped)  LD_LIBRARY_PATH=/usr/lib/virtualbox /usr/
lib/virtualbox/VBoxSDL -vm
[6:39|~]
amitg@athena. sudo mv .VirtualBox /root
[6:39|~]
amitg@athena. sudo sh -c 'LD_LIBRARY_PATH=/usr/lib/virtualbox /usr/lib/virtualbo
x/VBoxSDL -vm "Windows XP"'
VirtualBox SDL GUI 1.5.0_OSE built Sep 16 2007 06:34:57
Type Manifest File: /root/.VirtualBox/xpti.dat
nsNativeComponentLoader: autoregistering begins.
nsNativeComponentLoader: autoregistering succeeded
nNCL: registering deferred (0)

!!Assertion Failed!!
Expression: (null)
Location  : /home/amitg/virtualbox-ose-1.5.0-dfsg2/src/VBox/Main/ConsoleImpl2.cp
p(973) static int Console::configConstructor(VM*, void*)
Could not attach to host interface! Bad!
[1]    27093 trace trap (core dumped)  sudo sh -c

comment:17 Changed 7 years ago by Prototyped

Oh, here we go.

Apparently with kernels 2.6.18 and onward, TAP devices can no longer be configured without root access. The VM was failing because I was running it without root privileges. Once I moved my .VirtualBox over to root's home directory and ran it as root, it came up properly.

I had instrumented the code to find out why it was failing; turns out that the ioctl in src/VBox/Main/ConsoleImpl.cpp:

                rcVBox = ioctl(maTapFD[slot], TUNSETIFF, &IfReq);

was failing with EPERM. Googling, I came across  this, and sure enough, with it properly configured and running as root, it comes up nicely with the TAP device being configured properly.

comment:18 Changed 7 years ago by Prototyped

So, in summary (for the benefit of anyone else who comes across these issues), if you get the VERR_VM_DRIVER_VERSION_MISMATCH error yet your kernel driver and VirtualBox userland version are the same, but you're running a 64-bit kernel with 32-bit userspace, create a 64-bit chroot environment:

sudo debootstrap --arch amd64 sid /var/64 ftp://ftp.debian.org/debian

Configure it:

sudo ln /etc/hostname /var/64/etc/hostname
sudo ln /etc/environment /var/64/etc/environment
sudo ln /etc/passwd /var/64/etc/passwd
sudo ln /etc/group /var/64/etc/group
sudo ln /etc/shadow /var/64/etc/shadow
sudo ln /etc/sudoers /var/64/etc/sudoers
sudo ln /etc/localtime /var/64/etc/localtime
sudo ln /etc/timezone /var/64/etc/timezone
sudo ln /etc/resolv.conf /var/64/etc/resolv.conf
sudo ln /etc/apt/sources.list /var/64/etc/apt/sources.list

Ensure various stuff is bound to the chroot environment; for this, add lines to your /etc/fstab:

/sys            /var/64/sys         none    bind                            0      0
/proc           /var/64/proc        none    bind                            0      0
/dev            /var/64/dev         none    bind                            0      0
/home           /var/64/home        none    bind                            0      0
/tmp            /var/64/tmp         none    bind                            0      0
/var/tmp        /var/64/var/tmp     none    bind                            0      0
/usr/src        /var/64/usr/src     none    bind                            0      0
/lib/modules    /var/64/lib/modules none    bind                            0      0

Then mount them:

for i in /var/64/{sys,proc,dev,home,tmp,var/tmp,usr/src,lib/modules}; do sudo mount $i; done

chroot into the environment:

sudo chroot /var/64 su - ${LOGNAME}

Set up the environment so you can launch X applications:

export XAUTHORITY=${HOME}/.Xauthority DISPLAY=:0

Install VirtualBox (I'm presuming you've already built modules outside of the chroot environment using m-a auto-install virtualbox-ose, which will pull virtualbox-ose-source out of apt and build the modules for you):

sudo touch /etc/init.d/udev
sudo apt-get install virtualbox-ose

Add yourself to the vboxusers group and load the driver:

sudo adduser ${LOGNAME} vboxusers
sudo modprobe vboxdrv

Create a symbolic link from ${HOME}/.VirtualBox to ~root/.VirtualBox:

sudo ln -s ${HOME}/.VirtualBox ~root/.VirtualBox

For bridged networking, create two scripts that will be used to bring up and down the TAP interfaces and install brctl:

sudo apt-get install uml-utilities bridge-utils
cat > vbox-ifup.sh <<EOF
#!/bin/bash
/usr/bin/sudo /sbin/ifconfig $2 up
/usr/bin/sudo /usr/sbin/brctl addif br0 $2
EOF
cat > vbox-ifdown.sh <<EOF
#!/bin/bash
/usr/bin/sudo /usr/sbin/brctl delif br0 $2
/usr/bin/sudo /sbin/ifconfig $2 down
EOF
chmod a+x vbox-ifup.sh vbox-ifdown.sh

Then start up the VirtualBox GUI using something like

sudo virtualbox &

and configure your VM to connect to a host interface named (e.g.) tap1. Point the startup and shutdown scripts at vbox-ifup.sh and vbox-ifdown.sh respectively.

Outside of the chroot, it would help to edit /etc/network/interfaces and make a bridged interface your primary network interface, and add the ethernet adapter as its slave:

auto br0
iface br0 inet dhcp
      bridge_ports eth0
      bridge_fd 9
      bridge_hello 2
      bridge_maxage 12
      bridge_stp off

Bring down the ethernet interface and bring up the bridge:

sudo ifdown eth0
sudo ifconfig eth0 up
sudo ifup br0

At this juncture VirtualBox should work when launched from the 64-bit chroot environment and provide bridged access to the VM.

comment:19 Changed 7 years ago by Prototyped

Oh yeah, you'll also want to add root into the vboxusers group, since that's what VirtualBox will actually run as:

sudo adduser root vboxusers

comment:20 Changed 6 years ago by frank

  • Status changed from reopened to closed
  • Resolution set to worksforme

Closing this one. If there are still problems then please reopen separate reports.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use